Subject: [xrblock] Mirja Kühlewind's No Objection on draft-ietf-xrblock-independent-burst-gap-discard-02: (with COMMENT)

From: "Mirja Kuehlewind" <[email-masked]>
Date: Tue, 02 Aug 2016 08:17:27 -0700

Mirja Kühlewind has entered the following ballot position for
draft-ietf-xrblock-independent-burst-gap-discard-02: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-xrblock-independent-burst-gap-discard/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Sorry still not an RT(C)P expert, but one question out of curiosity:

Would it be a valid operation if I send one MIR Block per burst (by
adapting the measurement duration dynamically), in case I really want to
know the length of each burst separately? 

If so (or also if not, I guess), would it make sense to give
recommendations about how often one should send feedback, or is this
generally covered elsewhere (provide pointer!) that applies for this
case?

---

From: Colin Perkins <[email-masked]>
Date: Wed, 3 Aug 2016 10:59:44 +0100

> On 2 Aug 2016, at 16:17, Mirja Kuehlewind <[email-masked]> wrote:
> 

The rules that determine the RTCP reporting interval are in RFC 3550 sections 6.2 and 6.3. That RFC is referenced from this draft. The measurement interval would typically match the RTCP reporting interval, but you could measure over a different interval if you wanted (the associated RFC 6776 report describes the measurement interval). 

I don’t think this needs guidance, or if it does, it would be general guidance for any user of XR blocks, and not specific to this particular block.

-- 
Colin Perkins
https://csperkins.org/

---

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Thu, 4 Aug 2016 16:19:27 +0200

hi Colin, 

okay. Maybe just provide a clear pointer to the respective text in RFC 3550 sections 6.2 and 6.3?

Thanks,
Mirja

> Am 03.08.2016 um 11:59 schrieb Colin Perkins <[email-masked]>:
>

---

From: Colin Perkins <[email-masked]>
Date: Thu, 4 Aug 2016 15:25:24 +0100

Hi,

I don’t think there’s any point. We already normatively reference RFC 3550 (the RTP specification), and at some point you need to assume that someone implementing RTCP knows the basics of how the protocol works. The timing rules are very fundamental. 

Colin

> On 4 Aug 2016, at 15:19, Mirja Kuehlewind (IETF) <[email-masked]> wrote:
> 
> hi Colin, 
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 4 Aug 2016 19:27:21 +0000

I would also notice that this is RFC-to-be #15 (unless I lost count) in the 'XRBLOCK series' that uses the same references and very similar text wrt. RFC 3550. Developers and users of this technology should by now be very familiar with this format. 

Regards,

Dan

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Thursday, August 4, 2016 5:25 PM
> To: Mirja Kuehlewind (IETF)
> Cc: The IESG; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [xrblock] Mirja Kühlewind's No Objection on draft-ietf-xrblock-
> independent-burst-gap-discard-02: (with COMMENT)
> 
> Hi,
> 
> I don’t think there’s any point. We already normatively reference RFC 3550
> (the RTP specification), and at some point you need to assume that someone
> implementing RTCP knows the basics of how the protocol works. The timing
> rules are very fundamental.
> 
> Colin
> 
> 
> 
> 
> >>> When responding, please keep the subject line intact and reply to
> >>> all email addresses included in the To and CC lines. (Feel free to
> >>> cut this introductory paragraph, however.)
> >>>
> >>>
> >>> Please refer to
> >>> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_ie
> >>> sg_statement_discuss-
> 2Dcriteria.html&d=CwIFaQ&c=BFpWQw8bsuKpl1SgiZH6
> >>> 4Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=0xJ-
> Cs01NVSLzqFdA
> >>>
> RadDb4GB5AmNa27MAHjxTH0wU0&s=A8XmLyAVDp3VSHmsu_MVsDMjHd9
> Q4g8I-k3b10I
> >>> hSXQ&e= for more information about IESG DISCUSS and COMMENT
> >>> positions.
> >>>
> >>>
> >>> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.iet
> >>> f.org_doc_draft-2Dietf-2Dxrblock-2Dindependent-2Dburst-2Dgap-
> 2Ddisca
> >>>
> rd_&d=CwIFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiL
> QfucB
> >>> XRucPvdrphpBsFA&m=0xJ-
> Cs01NVSLzqFdARadDb4GB5AmNa27MAHjxTH0wU0&s=yrRH
> >>> sCbguw65u9XEQjPgWOfWds16d9jjvu9hWcjl1d4&e=
> >>>
> >>>
> >>>
> >>> adapting the measurement duration dynamically), in case I really
> >>> want to know the length of each burst separately?
> >>>
> >> The rules that determine the RTCP reporting interval are in RFC 3550
> sections 6.2 and 6.3. That RFC is referenced from this draft. The
> measurement interval would typically match the RTCP reporting interval, but
> you could measure over a different interval if you wanted (the associated
> RFC 6776 report describes the measurement interval).
> >>
> >> I don’t think this needs guidance, or if it does, it would be general
> guidance for any user of XR blocks, and not specific to this particular block.
> >>
> >> --
> >> Colin Perkins
> >> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__csperkins.org_&d
> >>
> =CwIFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucB
> XRucPvdrphpBsFA&m=0xJ-
> Cs01NVSLzqFdARadDb4GB5AmNa27MAHjxTH0wU0&s=qoIPYScPVtsFNED9gZ
> KzRakK7ZJ9kYyFI7juHuCuYqw&e=